function [FFXvx,FFXeff,rfximg,sxyz] = rfx_get_ffx_voxel_mask(SPM,xSPM,opts)
%
% obtain voxel indices from either a single of nSub anatomical
% mask images
% -------------------------------------------------------------------------
% $Id: rfx_get_ffx_voxel_mask.m 3 2008-12-10 06:18:11Z glaescher $

global imgs;

nSub = length(imgs);

for m = 1:length(opts.mask)
  [y,xyz] = spm_read_vols(spm_vol(opts.mask{m}));
  idx = find(y(:));
  FFXvx{m} = SPM.xVol.M \ [xyz(:,idx); ones(1,length(idx))];
end

if length(FFXvx) == 1
  FFXvx = repmat(FFxvx,1,nSub);
end

% --- now figure out the peak in the mask
if length(xSPM.Ic) == 1
  weights = SPM.xX.X * SPM.xCon(xSPM.Ic).c;
else
  % figure out what to do for RFX conjunctions
  for w = 1:length(xSPM.Ic)
    weights(:,w) = SPM.xX.X * SPM.xCon(xSPM.Ic(w)).c;
  end
end

% create index of images in rfx analysis
[subdir,junk,subind] = rfx_unique_unsorted(cellstr(...
  spm_str_manip(strvcat(SPM.xY.P),'h')));
nSub = size(subdir,1);


for sub = 1:nSub

  if ~isempty(strfind(SPM.xY.P{1},'beta'))
    y = rfx_get_data(SPM.xY.VY,FFXvx{sub});
    rfximg = 'beta';
  elseif ~isempty(strfind(SPM.xY.P{1},'con'))
    for s = 1:length(SPM.xY.P)
      VT(s) = spm_vol(strrep(SPM.xY.P{s},'con','spmT'));
    end
    y = rfx_get_data(VT,FFXvx{sub});
    rfximg = 'con';
  elseif ~isempty(strfind(SPM.xY.P{1},'ess'))
    for s = 1:length(SPM.xY.P)
      VT(s) = spm_vol(strrep(SPM.xY.P{s},'con','spmF'));
    end
    y = rfx_get_data(VT,FFXvx{sub});
    rfximg = 'ess';
  end

  ind = find(subind==sub);

  for v = 1:size(y,2) %run over voxel
    if size(weights,2) > 1
      for w = 1:size(weights,2)
        tmp(w) = y(ind,v)' * weights(ind,w);
        eff(sub,v) = sum(tmp);
      end
    else
      eff(sub,v) = y(ind,v)' * weights(ind);
    end
  end
  [FFXeff{sub},i] = max(eff(sub,:));
  FFXvx{sub} = FFXvx{sub}(:,i);
  sxyz{sub} = SPM.xVol.M * [FFXvx{sub}; 1];
  sxyz{sub} = sxyz{sub}(1:3)';
  
end

return;
