function ts = rfx_get_vol_timeseries(dirs,opts)
%
% loads or compiles a struct with the volume handles to 
% BOLD time series and places it into global workspace
% -------------------------------------------------------------------------
% $Id: rfx_get_vol_timeseries.m 12 2008-12-18 21:29:04Z glaescher $

global ts rfxts defs;

nSub = length(dirs);

if ~strcmp(rfxts,opts.rfxdir)
  ts = [];
end

if isempty(ts)
	try
		fprintf('Loading image handles from rfx_timeseries.mat ... ');
    tic;
		load(fullfile(opts.rfxdir,'rfx_timeseries.mat'));
    tim = toc;
    if tim > 60
  		fprintf('done (%1.2f min).\n',tim/60);
    else
      fprintf('done (%1.1f sec).\n',tim);
    end
	catch
		fprintf('failed. (Don''t worry.)\n')
		fprintf('Creating rfx_timeseries.mat ...\n');
		ts = struct;
    tic;
		for s = 1:nSub
			fprintf('%-40s',sprintf('Compiling image handles for subject %02d',s));
			load(fullfile(dirs{s},'SPM.mat'));
			ts(s).RT = SPM.xY.RT;
			ts(s).VY = SPM.xY.VY;
      fprintf('%s',repmat(sprintf('\b'),1,40));
    end
    tim = toc;
    if tim > 60
  		fprintf('completed in %1.2f min.\n',tim/60);
    else
      fprintf('completed in %1.1f sec.\n',tim);
    end
    if defs.savemat.timeseries
      tic;
  		fprintf('\nSaving image handles in rfx_timeseries.mat ... ')
    	save(fullfile(opts.rfxdir,'rfx_timeseries.mat'),'ts');
      tim = toc;
    if tim > 60
  		fprintf('done (%1.2f min).\n',tim/60);
    else
      fprintf('done (%1.1f sec).\n',tim);
    end
    else
      fprintf('\nAbort saving rfx_timeseries.mat at user request.\n');
    end
  end
end

rfxts = opts.rfxdir;
return;
